#
# spec file for package rstatd (Version 3.06)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         rstatd
Copyright:    GPL
Group:        Networking/Utilities
Requires:     portmap
Autoreqprov:  on
Version:      3.06
Release:      51
Summary:      RPC kernel statistics server
BuildRoot:    %{_tmppath}/%{name}-BUILD
Source:       rstatd.tar.bz2
URL:          http://rstatd.sourceforge.net
Patch:        rpc.rstatd.dif

%description
The rstatd server returns performance statistics obtained from the kernel
on the host machine. It comes with two clients 'rup' and 'rsysinfo'.

Authors:
--------
    Adam Migus (amigus@cs.mun.ca)

SuSE series: n

%prep
%setup -n rpc.rstatd
%patch

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man5
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
make install INSTALLROOT=$RPM_BUILD_ROOT
install -m 755 rstatd.init $RPM_BUILD_ROOT/etc/init.d/rstatd
ln -sf ../../etc/init.d/rstatd $RPM_BUILD_ROOT/usr/sbin/rcrstatd
install -m 644 rc.config.rstatd $RPM_BUILD_ROOT/var/adm/fillup-templates/

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   rm -rf $RPM_BUILD_ROOT
fi

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.rstatd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and /var/adm/fillup-templates/rc.config.rstatd"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/rstatd

%postun
sbin/insserv etc/init.d/

%files
%doc README Copying
%config /etc/init.d/rstatd
/usr/bin/rup
/usr/bin/rsysinfo
/usr/sbin/rcrstatd
%doc %{_mandir}/man1/*
%doc %{_mandir}/man8/*
%attr(755,root,root) /usr/sbin/rpc.rstatd
/var/adm/fillup-templates/rc.config.rstatd

%changelog -n rstatd
* Mon Aug 13 2001 - dan@suse.cz
- fixed statsvar structure
* Fri Aug 10 2001 - dan@suse.cz
- patched to implement version 4 (#8689)
- use bzip instead of gzip
* Fri Jun 29 2001 - pblaha@suse.cz
- rewrite init script to LSB
* Wed Jun 06 2001 - pblaha@suse.cz
- New 3.0.6 rpc.rstatd works with 2.2.x and 2.4 kernels.
* Wed Feb 21 2001 - uli@suse.de
- fixed for new glibc
* Wed Jan 17 2001 - draht@suse.de
- change mode of /usr/sbin/rpc.rstatd to 755 for security reasons.
  fixes #3893, #5704
* Sun Oct 01 2000 - kukuk@suse.de
- Split from nkitb
